[arch-commits] CVS update of arch/build/base/bash (PKGBUILD)

Aaron Griffin aaron at archlinux.org
Sun May 13 06:20:55 UTC 2007


    Date: Sunday, May 13, 2007 @ 02:20:55
  Author: aaron
    Path: /home/cvs-arch/arch/build/base/bash

Modified: PKGBUILD (1.42 -> 1.43)

upgpkg: bash 3.2.017-1
moving /etc/skel/.bashrc and .bash_profile from the filesystem package
Also, upgrade to bash patch level '17', from official stable patches


----------+
 PKGBUILD |   35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)


Index: arch/build/base/bash/PKGBUILD
diff -u arch/build/base/bash/PKGBUILD:1.42 arch/build/base/bash/PKGBUILD:1.43
--- arch/build/base/bash/PKGBUILD:1.42	Fri Feb  2 05:50:54 2007
+++ arch/build/base/bash/PKGBUILD	Sun May 13 02:20:55 2007
@@ -1,27 +1,27 @@
-# $Id: PKGBUILD,v 1.42 2007/02/02 10:50:54 andyrtr Exp $
-# Maintainer: judd <jvinet at zeroflux.org>
+# $Id: PKGBUILD,v 1.43 2007/05/13 06:20:55 aaron Exp $
+# Maintainer: Aaron Griffin <aaron at archlinux.org>
+
 pkgname=bash
-pkgver=3.2
-pkgrel=1.1
+_patchlevel=017
+pkgver=3.2.$_patchlevel
+pkgrel=1
 pkgdesc="The GNU Bourne Again shell"
 arch=(i686 x86_64)
+license=('GPL')
 url="http://www.gnu.org/software/bash/bash.html"
-backup=(etc/profile)
-depends=('glibc' 'readline>=5.2')
+backup=(etc/profile etc/skel/.bashrc etc/skel/.bash_profile)
+depends=('readline>=5.2')
 source=(ftp://ftp.cwru.edu/pub/bash/bash-3.2.tar.gz
-        ftp://ftp.cwru.edu/pub/bash/bash-3.2-patches/bash32-{001,002,003,004}
-        ftp://ftp.cwru.edu/pub/bash/bash-3.2-patches/bash32-005
-        bash-noinfo.patch profile)
-md5sums=('00bfa16d58e034e3c2aa27f390390d30' 'd8e10c754f477e3f3a581af566b89301'\
-         'd38a5288b2f0ea6c9ac76b66cc74ef7d' '0b90d37911827d8cb95f3b4353cc225e'\
-         '8062f3a59631f58d78b180d83759b68a' '585b5943fadf0875ced243b245adde58'\
-         'f2a3cf51e58f9b82af50b861191d96fd' '9d301aa965c0e8be9d74298085f0905d')
+        bash-noinfo.patch profile bashrc)
+for p in $(seq -w 001 $_patchlevel); do
+    source=(${source[@]} ftp://ftp.cwru.edu/pub/bash/bash-3.2-patches/bash32-$p)
+done
 
 build() {
   cd ${startdir}/src/${pkgname}-3.2
-  for p in 001 002 003 004 005; do
-    echo ${p}
-    patch -Np2 -i ../bash32-${p} || return 1
+  for p in ../bash32-*; do
+    msg "applying patch ${p}"
+    patch -Np2 -i ../${p} || return 1
   done
   patch -Np1 -i ../bash-noinfo.patch || return 1
   ./configure --prefix=/usr --with-curses --enable-readline \
@@ -35,4 +35,7 @@
   mkdir -p ${startdir}/pkg/etc
   install -m644 ../profile ${startdir}/pkg/etc/profile
   ln -sf ${pkgname} ${startdir}/pkg/bin/sh
+
+  install -D -m644 bashrc $startdir/pkg/etc/skel/.bashrc
+  echo ". \$HOME/.bashrc" >$startdir/pkg/etc/skel/.bash_profile
 }




More information about the arch-commits mailing list